OPENSSL_Applink(3) | OpenSSL | OPENSSL_Applink(3)

# NAME

OPENSSL_Applink - glue between OpenSSL BIO and Win32 compiler run-time

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

__declspec(dllexport) void **OPENSSL_Applink();

# DESCRIPTION

OPENSSL_Applink is application-side interface which provides a glue between OpenSSL BIO layer and Win32 compiler run-time environment. Even though it appears at application side, it's essentially OpenSSL private interface. For this reason application developers are not expected to implement it, but to compile provided module with compiler of their choice and link it into the target application. The referred module is available as <openssl>/ms/applink.c.

July 20, 2009 | 1.0.1-dev